none
The operation is not supported on the current version of MARS Agent

    Question

  • After upgrading Azure backup server to the latest version (Version: 11.0.137.0) including the DPMAgents, I get the following error when I attempt to do a Monthly Retention Change "The operation is not supported on the current version of MARS Agent".  Everything else works fine including the yearly retention policy.  This error started after update 1.  When I click on the error message to update the client, it takes me to the MARS agent installer instead of the dpmagent installer.  I get this error at multiple sites with completely different Azure Subscriptions.  One site had the original version of Azure backup server and I was successful in creating the monthly retention policies, but since upgrading to update 1 I cannot modify an existing protection group that has a monthly retention policy already defined. I also cannot create a new protection group and enable the monthly retention policy. 

    Any idea how to fix this?

    Thanks,

    John


    • Edited by jkaminski Friday, February 17, 2017 6:34 PM
    Friday, February 17, 2017 11:24 AM

All replies

  • The fix was selecting 3 months instead of 2 months.  The old version supported 2 months, but it appears the newer version wants a minimum of 3 months.
    Friday, February 17, 2017 6:34 PM